Bug 606071 - (vinetto) Review Request: vinetto - A forensics tool to examine Thumbs.db files
Review Request: vinetto - A forensics tool to examine Thumbs.db files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2010-06-20 07:18 EDT by Fabian Affolter
Modified: 2011-01-03 15:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-03 15:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2010-06-20 07:18:05 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/vinetto.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/vinetto-0.07-1.beta.fc13.src.rpm

Project URL: http://vinetto.sourceforge.net/

Description:
Vinetto is a forensics tool to examine Thumbs.db files.  It is
a console program to extract thumbnail images and their metadata
from those thumbs.db files generated under Microsoft Windows

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2259799

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint vinetto-0.07-1.beta.fc13.src.rpm 
vinetto.src: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsus
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[fab@laptop011 noarch]$ rpmlint vinetto-0.07-1.beta.fc13.noarch.rpm 
vinetto.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsus
vinetto.noarch: W: no-manual-page-for-binary vinetto
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
Comment 1 Michael Schwendt 2010-06-22 06:34:01 EDT
* The --version arg and program output report 0.06 (r59) which doesn't match RPM package version. // egg-info even refers to 0.06alpha


* The --help arg and Usage output claim that the  -o DIR  arg is optional, but when omitting -o DIR, the program crashes:

$ vinetto Thumbs.db 
/usr/bin/vinetto:35: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5
Traceback (most recent call last):
  File "/usr/bin/vinetto", line 114, in <module>
    tDBfname, outputdir, htmlrep, utf8encoding, symlinks = getargs()
  File "/usr/bin/vinetto", line 77, in getargs
    os.system("mkdir " + opts.outputdir + "/" + NUMBERED_THUMBS_DIR)
TypeError: cannot concatenate 'str' and 'NoneType' objects


* Something else is wrong with the -o DIR arg, too. If the target directory doesn't exist, vinetto creates only half of the target dirs and then fails. os.system("mkdir",...) is insufficient, and it should either bail out sooner or use os.makedirs(...) properly.


* For such a small program with no manual, no examples in the README, and a warning that only one type of Thumbs.db files is understood, I think the software isn't ready yet.

| SHOULD: The reviewer should test that the package functions as
| described. A package should not segfault instead of running,
| for example.


* The good news: The packaging is fine.
Comment 2 Fabian Affolter 2010-06-22 14:41:05 EDT
My bad.  Next time I should check the upstream bug tracker first and not let the reviewer find bugs. Sorry for that.
Comment 3 Fabian Affolter 2011-01-03 15:39:13 EST
Upstream seems to be dead.

Note You need to log in before you can comment on or make changes to this bug.